#ifndef SPY_LIST_H
#define SPY_LIST_H

#include <qlistview.h>
#include <qpushbutton.h>
#include <qgroupbox.h>
#include <qlabel.h>
#include <qlayout.h>
#include <qlistview.h>
#include <qmessagebox.h>

#include "debug.h"
#include "kadu.h"

class List
{
	public:
		UinType uin;
		QString date;
		bool new_one;
};

class SpyList : public QDialog {
	Q_OBJECT
	public:
		SpyList(void);
		~SpyList(void);

	private:
		QListView *results;
		QLabel *l_1, *l_2, *l_3;
		QGroupBox *qgrp1;
		QPushButton *b_chat, *b_addbtn, *b_remove;
		QGridLayout *grid;
		
		typedef QValueList<List> UnknownsList;
		UnknownsList Unknowns;
		SearchRecord *SearchUnknown;
		void saveUnknownsList2File(void);
		void loadUnknownsFromFile(void);
		void searchUser(UinType uin);

	private slots:
		void addButtonClicked(void);
		void removeButtonClicked(void);
		void chatButtonClicked(void);
		void userStatusChangeIgnored(UinType uin);
		void newSearchResults(SearchResults& searchResults, int seq, int fromUin);
		void whoHasMeOnList ();

	friend class Spy;
};

#endif
